
use dif2
d
tabulate female

diflogistic item1-item9, group(female)

tabulate item1 female

difmh item1-item9, group(female)

use dif1
* create group-specific item labels with the following 4 lines
forvalues i = 1/9 {
  gen byte q`i'_f = q`i' if  female
  gen byte q`i'_m = q`i' if !female
}
* Model M0: For each item, constrain its difficulty and
* discrimination parameters for group identity, fixing
* the latent mean and variance at 0 and 1 only in the
* reference group

gsem ///
 (q1_m <- Theta1@a1  _cons@c1) ///
 (q2_m <- Theta1@a2  _cons@c2) ///
 (q3_m <- Theta1@a3  _cons@c3) ///
 (q4_m <- Theta1@a4  _cons@c4) ///
 (q5_m <- Theta1@a5  _cons@c5) ///
 (q6_m <- Theta1@a6  _cons@c6) ///
 (q7_m <- Theta1@a7  _cons@c7) ///
 (q8_m <- Theta1@a8  _cons@c8) ///
 (q9_m <- Theta1@a9  _cons@c9) ///
                                ///
 (q1_f <- Theta2@a1  _cons@c1) ///
 (q2_f <- Theta2@a2  _cons@c2) ///
 (q3_f <- Theta2@a3  _cons@c3) ///
 (q4_f <- Theta2@a4  _cons@c4) ///
 (q5_f <- Theta2@a5  _cons@c5) ///
 (q6_f <- Theta2@a6  _cons@c6) ///
 (q7_f <- Theta2@a7  _cons@c7) ///
 (q8_f <- Theta2@a8  _cons@c8) ///
 (q9_f <- Theta2@a9  _cons@c9) ///
 , ///
 logit ///
 variance(Theta1@1 Theta2) ///
 cov(Theta1*Theta2@0) ///
 mean(Theta2)

estimate store m0
gsem ///
 (q1_m <- Theta1  _cons@c1) ///
 (q2_m <- Theta1@a2  _cons@c2) ///
 (q3_m <- Theta1@a3  _cons@c3) ///
 (q4_m <- Theta1@a4  _cons@c4) ///
 (q5_m <- Theta1@a5  _cons@c5) ///
 (q6_m <- Theta1@a6  _cons@c6) ///
 (q7_m <- Theta1@a7  _cons@c7) ///
 (q8_m <- Theta1@a8  _cons@c8) ///
 (q9_m <- Theta1@a9  _cons@c9) ///
                                ///
 (q1_f <- Theta2@a1  _cons@c1) ///
 (q2_f <- Theta2@a2  _cons@c2) ///
 (q3_f <- Theta2@a3  _cons@c3) ///
 (q4_f <- Theta2@a4  _cons@c4) ///
 (q5_f <- Theta2@a5  _cons@c5) ///
 (q6_f <- Theta2@a6  _cons@c6) ///
 (q7_f <- Theta2@a7  _cons@c7) ///
 (q8_f <- Theta2@a8  _cons@c8) ///
 (q9_f <- Theta2@a9  _cons@c9) ///
 ,                              ///
 logit                          ///
 variance(Theta1@1 Theta2)      ///
 cov(Theta1*Theta2@0)           ///
 mean(Theta2)

lrtest m0

forvalues i = 1/18 {
di `i'*.05/(18*(1+1/2+1/3+1/4+1/5+1/6+1/7+1/8+1/9+1/10+1/11+1/12+1/13+1/14+1/15+1/16+1/17+1/18))
}

infile p_value using "p_values.dat", clear
sort p_value
list
